Skip to main content
GET
Get payment

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

payment_id
string<uuid>
required

Payment ID

Response

Payment details

A one-time payment made against a lending account.

creation_time
string<date-time>
required

Timestamp when the payment was created

Example:

"2024-01-15T10:30:00Z"

description
string
required

Description for the payment

Example:

"Payment"

effective_date
string<date>
required

Date the payment was (or will be) made

Example:

"2024-01-25"

id
string<uuid>
required

Unique identifier for the payment

Example:

"2d0f7601-ecc6-48b4-b82f-5d64fa84628b"

last_updated_time
string<date-time>
required

Timestamp when the payment was last updated

Example:

"2024-01-15T10:30:00Z"

lending_account_id
string<uuid>
required

The lending account this payment was made against

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

payment_configs
object
required

Payment method-specific configurations

status
enum<string>
required

Status of the autopay:

  • PENDING: Autopay is scheduled and waiting to be executed
  • EXECUTED: Autopay was successfully executed
  • SKIPPED: Autopay was skipped (e.g., no balance due)
  • FAILED: Autopay failed to execute
Available options:
EXECUTED,
FAILED,
PENDING,
SKIPPED
attempt_history
object

History of execution attempts for an autopay

current_amount
integer<int64>

The amount in cents associated with this payment. For PENDING payments this is the originally requested amount (payments are not capped at the current balance -- an intentional overpayment is honored). For EXECUTED payments this mirrors executed_amount.

Example:

5000

executed_amount
integer<int64>

The amount in cents actually paid, once executed.

Example:

5000

payment_attributes
object

Identifiers for the payment created by an autopay execution. Only one field will be populated depending on the payment method used.

tenant
Tenant ยท object